SDL_GetJoystickProduct(3)

NAME
SDL_GetJoystickProduct - Get the USB product ID of an opened joystick, if available.

HEADER FILE
Defined in SDL3/SDL_joystick.h

SYNOPSIS
#include "SDL3/SDL.h"

Uint16 SDL_GetJoystickProduct(SDL_Joystick *joystick);

DESCRIPTION
If the product ID isn't available this function returns 0.

FUNCTION PARAMETERS

joystick
    the SDL_Joystick
     obtained from SDL_OpenJoystick ().

RETURN VALUE
( Uint16 ) Returns the USB product ID of the selected joystick, or 0 if unavailable.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_GetJoystickProductForID(3)